Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

perl-Module-Implementation-0.09-lp150.1.7 RPM for noarch

From OpenSuSE Leap 15.0 for noarch

Name: perl-Module-Implementation Distribution: openSUSE Leap 15.0
Version: 0.09 Vendor: openSUSE
Release: lp150.1.7 Build date: Mon Apr 13 14:00:00 2015
Group: Development/Libraries/Perl Build host: lamb02
Size: 25527 Source RPM: perl-Module-Implementation-0.09-lp150.1.7.src.rpm
Packager: https://bugs.opensuse.org
Url: http://search.cpan.org/dist/Module-Implementation/
Summary: Loads one of several alternate underlying implementations for a module
This module abstracts out the process of choosing one of several underlying
implementations for a module. This can be used to provide XS and pure Perl
implementations of a module, or it could be used to load an implementation
for a given OS or any other case of needing to provide multiple
implementations.

This module is only useful when you know all the implementations ahead of
time. If you want to load arbitrary implementations then you probably want
something like a plugin system, not this module.

Provides

Requires

License

Artistic-2.0

Changelog

* Mon Apr 13 2015 coolo@suse.com
  - updated to 0.09
    see /usr/share/doc/packages/perl-Module-Implementation/Changes
    0.09     2014-08-24
    - Backed out the Sub::Name change in 0.08. It was pointed out to me by Graham
      Knop that adding an XS dependency for a module that's often used to pick
      between XS and non-XS implementations doesn't work so well.
    0.08     2014-08-24
    - Subroutines copied from an implementation package into the loading package
      are now renamed using Sub::Name. This causes them to be considered part of
      the loading package, which is important for things like
      namespace::autoclean. Reported by Karen Etheridge. RT #98097.
* Thu Jun 26 2014 lchiquitto@suse.com
  - really remove old old_test_more.patch from package sources
* Fri Jul 26 2013 coolo@suse.com
  - updated to 0.07
    - Require Test::Fatal 0.006+ to avoid test failures. Reported by Salve
      Nilsen. RT #76809.
  - remove old old_test_more.patch
* Sun Jun 09 2013 coolo@suse.com
  - updated to 0.06
    - Require Module::Runtime 0.012 which has a number of useful bug fixes.
* Wed Feb 29 2012 ro@suse.de
  - fix build with old Test::More for sle11
* Fri Feb 10 2012 vcizek@suse.com
  - update to 0.05
    - Make Test::Taint an optional dependency. This module requires XS, and
      requiring a compiler for Module::Implementation defeats its
      purpose. Reported by Peter Rabbitson. RT #74817.
    - This module no longer installs an _implementation() subroutine in
      callers. Instead, you can call
      Module::Implementation::implementation_for($package) to get the
      implementation used for a given package.
* Wed Feb 08 2012 vcizek@suse.com
  - version 0.03 (initial package )

Files

/usr/lib/perl5/vendor_perl/5.26.1/Module
/usr/lib/perl5/vendor_perl/5.26.1/Module/Implementation.pm
/usr/lib/perl5/vendor_perl/5.26.1/x86_64-linux-thread-multi
/usr/share/doc/packages/perl-Module-Implementation
/usr/share/doc/packages/perl-Module-Implementation/Changes
/usr/share/doc/packages/perl-Module-Implementation/LICENSE
/usr/share/doc/packages/perl-Module-Implementation/README.md
/usr/share/man/man3/Module::Implementation.3pm.gz


Generated by rpm2html 1.8.1

Fabrice Bellet, Sat Aug 10 12:33:24 2019